/*
Turn table vars into #tables.
Search for: (DECLARE)\s*(\r?\n)*@(\w*)\s*(TABLE)
Replace with: CREATE TABLE #$3
(DECLARE) - searching for the word 'declare'.
\s* - looking for zero or more tab or whitespace chars.
(\r?\n)* - looking for zero or more new line chars.
@ - Literal char @. 
(\w+) - Capture group with the (). You're going to hold it in memory so you can use it later.
Inside the group you're capturing \w+ which is 1 or more
chars.
(TABLE) - Searching for the word 'table'.
Now let's have some fun with non-capturing groups.
You don't need to capture the 1st 2 groups cause we're not using them in
the replace.  So let's use ?: to turn them into non-capturing groups.
This is simple cosmetic.
(?:DECLARE)\s*(?:\r?\n)*@(\w*)\s*(TABLE)
*/
declare @Table1 table 
(
CustomerID nchar(5) NOT NULL,
CustomerName int NULL,
CustomerAddr VARCHAR(MAX)
) 
declare 
@MyTable table 
(
CustomerID nchar(5) NOT NULL,
CustomerName int NULL,
CustomerAddr VARCHAR(MAX)
) 
declare 
@CustTemp Table 
(
CustomerID nchar(5) NOT NULL,
CustomerName int NULL,
CustomerAddr VARCHAR(MAX)
) 
DECLARE 
@ATable table 
(
CustomerID nchar(5) NOT NULL,
CustomerName int NULL,
CustomerAddr VARCHAR(MAX)
) 
