/*
Often times a regex session like this will be 
semi-manual.  You can't expect everything to be done in
a single pass or even in a single regex line.  This 
is a good example of just using it to help you with your
everyday tasks like turning a create table into an
insert SP.
Here are the steps we're going to follow:
1. Create the create SP text.
2. Copy the columns as the input params by copying them.
3. Get rid of the [] in the SP params and replace with @.
It doesn't require regex actually.
4. Now it's time to get rid of the data types. So copy
The new params under the INSERT line (after you write it)
And run the following regex.
Search for: (@\w+)(?:\s+\[*\w+\]*\s*(?:\(\w+\))*)
Replace with: $1
Explain: the () captures the specific text.  In this case we're getting the var name.
@ -- Literal char @.
\w+ -- one or more chars this is what we want to capture, the varname.
\s\w+ -- a whitespace followed by any number of chars.  This is the data type we've just included.  You could put :Wh+:a+ if you had more than a single char between the var and the datatype.
\s* -- gets none or more whitespace.  The datatype can be followed by any number of spaces before the ().  So we're testing for that now.  If it's not a datatype that takes anything after it then that's fine.
\w+ -- covers the datatype length for all types.
DON'T FORGET: 
\w - Includes [A-Za-z0-9_]
This is why it matches varchar(50) and varchar(max)
*/	
create table dbo.ServersOSDetail
(
[ID] int identity(1,1),
[InstanceID] int,
[ExecutionDateTime] datetime,
[FreePhysicalMemory] bigint,
[FreeSpaceInPagingFiles] bigint,
[FreeVirtualMemory] bigint,
[InstallDate] varchar(50),
[LastBootUpTime] varchar(50),
[MaxNumberOfProcesses] bigint,
[MaxProcessMemorySize] bigint,
[Name] varchar(500),
[NumberOfLicensedUsers] bigint,
[NumberOfProcesses] bigint,
[NumberOfUsers] bigint,
[OSArchitecture] varchar(50),
[OSLanguage] int,
[PAEEnabled] bit,
[SerialNumber] varchar(100),
[ServicePackMajorVersion int,
[ServicePackMinorVersion] int,
[SizeStoredInPagingFiles] bigint,
[Status] varchar(max),
[SystemDirectory] varchar(100),
[SystemDrive] varchar(5),
[TotalSwapSpaceSize] bigint,
[TotalVirtualMemorySize] bigint,
[TotalVisibleMemorySize] bigint,
[Version] varchar(20),
[WindowsDirectory] varchar(50)
)
CREATE PROCEDURE sp1
(
)
AS
INSERT MyTable
SELECT
