/*
Separate path from file name.
1. get path:
Search for: ^\w\:\\(.+\\)
Search for: (\w\:\\(?:.+\\))(.+(?:m|n|l)df) --to get both parts of path.
This introduces another concept, that of non-capturing groups.
In this case, you don't want to capture those inner groups.  Regex has sub-grouping and there's
just no reason to capture them separately.  Since the data is part of the outer group it'll be
captured anyway, but this way it won't increment the group number.
The non-capturing group has this construct:
(?:regex expression)
Normally, a ? makes something optional, but since it's inside the ( then it becomes an operator.
*/
--1.
--Use the physical_name col to work out the search string.
select * from sys.master_files
--2.
--Use this to get the files that need to have a new location.
--Once you have this, then you can replace the current file location with the new on.
--Search for: (\w\:\\(?:.+\\))(.+(?:m|n|l)df)
--Replace with: F:\SQLData\$2 --Need the extra excape and the put the \2 for the filename.
select 'ALTER DATABASE [' + DB_NAME(database_id) + ']' 
+ ' MODIFY FILE (NAME = [' + name + '], FILENAME =  ''' + physical_name + ''''
+ ')'
from sys.master_files
--3.
--Get col from step 1 again.  Here we're creating the PS script to move the files.
--**Don't capture the inside group cause
--you're capturing the entire outside group.
--This is for both groupings below.
--Search for: (\w\:\\(?:.+\\))(.+(?:m|n|l)df)
--Replace with: MOVE "$1$2" "F:\SQLData$2"\n"Finished moving $2"